Mysql - mariaDB

Uygulamayı veri tabanına bağlayıp çalıştırınca hata veriyor.
Hata şöyle : Can not load default MySQL library (“libmysqlclient.so.20” or “libmysqlclient.so”). Check your installation.

Press OK to ignore and risk data corruption.
Press Abort to kill the program.

bu tip hatalarda .so uzantısını yazmadan synaptic uygulamasında ara.
orada bulamazsan
https://pkgs.org/search/ arayıp bulup yüklemelisin.
debian ve ubuntu paketleri pardusta çalışır.

1 Beğeni

ilginiz için teşekkür ederim

bu şekilde hatalar alıyorum libc6 nın son sürümünü indirdim versiyon yükselt diyorum ama olmuyor terminalden yüklemeye çalıştım yinede olmadı

synaptic uygulamasında default-libmysqlclient-dev ara yükle.
yada sudo apt install -f default-libmysqlclient-dev ile komut satırı ile yükle.

farklı isimlerle yer alıyor.

Yeniden yükle bu sitede anlatılanlara göre.
Mysql kendine ait deposu varmış.Debianda paketleri eksik olabilir.

çok teşekkür ederim deneyeceğim

böyle bir hata aldım

libc 2.29 istiyor ama debian ve ubuntu depolarında yok.2.28 den 2.31 atlamışlar.

http://www.gnu.org/software/libc/
https://sourceware.org/legacy-ml/libc-announce/2019/msg00000.html
http://ftp.wayne.edu/gnu/libc/
en son linkte çıkan listeden glibc 2.29 gz uzantılı olanı indirip kurulacak ama
nasıl kurulacağını bilmiyorum.

aşağıda forumda nasıl kurulduğu anlatılmış.işkence gibi kurulum.

büyük eşit işareti koymuşlar illa 29 değil 29 ve yukarısı diyor 31 olabilir sorun yok yani

sudo apt --fix-broken install dener misinz?

sorun 29 veya 31 değil hocam dep olarkta indirsen komuttan kursanda izin verilmiyor üstte attığım fotolarda var

1 Beğeni

sudo apt autoremove ardından tekrar kurmayı deneyiniz.

@Saffet_Tan

hocam ne yaptıysam olmadı o kadar çok komut denedimki en son sistem çöktü ve format atmak zorunda kaldım ilginiz için teşekkürler sanal makine üzeri deneyeceğim ilerde

Bu konu son cevaptan 30 gün sonra otomatik olarak kapatıldı. Yeni cevap girilmesine izin verilmiyor.